Bug 823890 - Test case failure: SAM: headpin cli product list appears to return products from cp_product, where some products are not currently available to consumers.
Test case failure: SAM: headpin cli product list appears to return products f...
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Linux
unspecified Severity high (vote)
: Unspecified
: 6.0
Assigned To: Ivan Necas
Katello QA List
: Triaged, ZStream
Depends On: 822665
Blocks: 827494
  Show dependency treegraph
 
Reported: 2012-05-22 08:01 EDT by Tom McKay
Modified: 2014-09-18 11:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 822665
: 827494 (view as bug list)
Environment:
Last Closed: 2012-08-22 13:09:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-05-22 08:01:29 EDT
There are two issues here:
1) The CLI is listing out both marketing products (w/ id RH1316844) as well as engineering products (w/ id 69).
2) The CLI is also listing both previously imported inactive subscriptions as well as the active ones.

+++ This bug was initially created as a clone of Bug #822665 +++

https://tcms.engineering.redhat.com/case/127976/?from_plan=5985

Version-Release number of selected component (if applicable):
2012-05-16.2

katello-common-0.3.1-1.el6_2.noarch
katello-cli-common-0.3.2-3.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
thumbslug-0.0.24-1.el6_2.noarch
katello-glue-candlepin-0.3.1-1.el6_2.noarch
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-configure-0.3.3-2.el6_2.noarch
katello-headpin-0.2.6-4.el6_2.noarch
candlepin-0.6.2-1.el6_2.noarch
candlepin-tomcat6-0.6.2-1.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-headpin-all-0.2.6-4.el6_2.noarch


Steps to Reproduce: 

 1. On your SAM server login to get a shell.
    Login: username
    Password: password
 2.  Run headpin cli:
    $ headpin -u [admin] -p [password] product list --org [ORG] 



Actual results: 
# headpin -u admin -p admin product list --org ACME_Corporation
--------------------------------------------------------------------------------
    Product List For Organization ACME_Corporation, Environment 'Library'

 Id          Name                                                                     Provider Id   Provider Name   Sync Plan Name   Last Sync   GPG key  
--------------------------------------------------------------------------------
 69          Red Hat Enterprise Linux Server                                          1             Red Hat                                               
 90          Red Hat Enterprise Linux Resilient Storage for RHEL Server               1             Red Hat                                               
 83          Red Hat Enterprise Linux High Availability for RHEL Server               1             Red Hat                                               
 RH1316844   Resilient Storage 8 sockets                                              1             Red Hat                                               
 RH1149049   High-Availability 8 sockets                                              1             Red Hat                                               
 RH0197181   Red Hat Enterprise Linux Server Self-support 1-2 sockets Up to 1 guest   1             Red Hat                                               


DOES NOT Match the webui, see screen shot

Expected results:
Product list is displayed.
Comment 1 Ivan Necas 2012-05-23 08:51:41 EDT
For the first point see: https://bugzilla.redhat.com/show_bug.cgi?id=824069
Comment 2 Lukas Zapletal 2012-05-24 04:31:30 EDT
First point solved in bug 824069 fyi.
Comment 3 Ivan Necas 2012-05-24 08:27:49 EDT
I've proposed the solution with https://github.com/Katello/katello/pull/144
Comment 4 Ivan Necas 2012-05-29 10:50:54 EDT
Fixed in commit bb587d29aab81e6ff96bc8ecb008f6d25af26f75
Comment 5 Garik Khachikyan 2012-05-30 09:26:21 EDT
qe-acking here. affecting CFSE too.
Comment 8 Mike McCune 2013-08-16 14:07:11 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.